function int count_ones(input bit [7:0] a);
int	left, right, inc;

	left = $left(a);	// 7
	right = $right(a);	// 0
	inc = $increment(a);	// +1
	count_ones = 0;
	
	while( 1 ) begin
		if( a[right] )
			count_ones++;
		if( left == right )
			break;
		right += inc;
	end

endfunction

module test;
bit [7:0]	state = 8'b1010_1000;

initial begin
	$display("state=%b ones=%0d",state,count_ones(state));
end
	
endmodule
