checker mutex(logic [31:0] sig,event clock,output bit failure);
	assert property (@clock $onehot0(sig) )
		failure = 1'b0;
	else
		failure = 1'b1;

endchecker : mutex

module test;
logic [31:0]	bus;
logic	res, scan;
bit	clk;

mutex check_bus(bus,posedge clk,res);	// checker instance
	
always @(posedge clk)
	scan <= res;
	
initial begin
	$monitor("@%2t: scan=%b",$time,scan);
end

initial repeat (10) #10 clk = ~clk;
initial begin
	#20 bus = 1;
	#40 bus = 3;
	#20 bus = 0;
end

endmodule
