`include "pkg.sv"
`include "simple_if.sv"

module binary_counter import pkg::*; (simple_if.DUT mp);
logic [NBITS-1:0]	counter;

assign mp.q = counter;
assign mp.qn = ~counter;

always @(posedge mp.clk)
	if( mp.pc )
		counter <= 0;
	else if( mp.load )
		counter <= mp.d;
	else if( mp.up )
		counter <= counter + 1;
	else
		counter <= counter - 1;
		
endmodule
