class sample_t;
rand bit [7:0]	a, b;
function void post_randomize;
	$display("a=%3d b=%3d",a,b);
endfunction
endclass

module test;
sample_t	sample = new;

initial begin
	$display("--- all active");
	for( int i = 0; i < 4; i++ ) begin
		assert( sample.randomize() );
	end
	$display("--- all inactive");
	sample.rand_mode(0);				// turn all off
	for( int i = 0; i < 2; i++ ) begin
		assert( sample.randomize() );
	end
	$display("--- only a is active");
	sample.a.rand_mode(1);				// turn a on
	for( int i = 0; i < 2; i++ ) begin
		assert( sample.randomize() );
	end
	$display("--- all active");
	sample.rand_mode(1);				// make all active
	for( int i = 0; i < 2; i++ ) begin
		assert( sample.randomize() );
	end		
end
endmodule
