class sample_t;
rand logic [7:0]	addr, data;

function void post_randomize();
	$display("addr=%3d data=%3d",addr,data);
endfunction
endclass

module test;
sample_t	sample;

initial begin
	sample = new;
	$display("--- addr and data are active ---");
	repeat( 4 ) begin
		assert( sample.randomize() );
	end
	$display("--- only addr is active ---");
	repeat( 4 ) begin
		assert( sample.randomize(addr) );
	end
	$display("--- only data is active ---");
	repeat( 4 ) begin
		assert( sample.randomize(data) );
	end
end
	
endmodule
