class sample_t;
rand int		array_size;
rand bit [7:0]	array[];
constraint C1 { array_size inside { [2:5] }; }
constraint C2 { array.size == array_size; }
constraint setup_array_elms;
extern function void print;
endclass

function void sample_t::print;
	$write("array.size=%0d:",array.size);
	foreach(array[i])
		$write(" %2d",array[i]);
	$display;
endfunction

module test;
sample_t	sample = new;

constraint sample_t::setup_array_elms
{
	foreach(array[i])
		array[i] inside { [0:10], [64:80] };
}

initial begin
	repeat (5) begin
		assert (sample.randomize() );
		sample.print();
	end
end
endmodule
