module test;
bit [7:0]	a, b, c;

initial begin
	$display("no constraints");
	for( int i = 0; i < 2; i++ ) begin
		assert( std::randomize(a,b,c) );		// no constraints
		$display("a=%3d b=%3d c=%3d",a,b,c);
	end
	$display("satisfy: a + b == c;");
	for( int i = 0; i < 2; i++ ) begin
		assert( randomize(a,b,c) with { a+b == c; } );
			$display("a=%3d b=%3d c=%3d",a,b,c);
	end
end
endmodule

