class sample_t;
rand bit [2:0]	a;

constraint C { a inside { [0:5] }; }

covergroup cg;
	coverpoint a { bins value[] = { [0:5] }; }
endgroup

function new;
	cg = new;
endfunction
endclass


module test;
sample_t		sample;

initial begin
	sample = new;
	
	repeat( 16 ) begin
		assert( sample.randomize() );
		sample.cg.sample();
	end
end
endmodule
