`include "pkg.sv"

module pattern_detector_moore import pkg::*;
	(input clk,reset,a,output logic out);
state_e		state;

always @(posedge clk,posedge reset)
	if( reset == 1'b1 )
		state <= S0;
	else
		case (state)
		S0: state <= a == 0 ? S1 : S3;
		S1: state <= a == 0 ? S2 : S3;
		S2: state <= a == 0 ? S2 : S3;
		S3: state <= a == 1 ? S4 : S1;
		S4: state <= a == 1 ? S4 : S1;
		endcase
		
always @(state)
	case (state)
	S0, S1, S3: out = 0;
	S2, S4:	out = 1;
	endcase
endmodule