module gated_clock(input clk,reset,clk_gate,data,output logic q);
wire	clk_enable;

assign clk_enable = clk && clk_gate;

always @(posedge clk_enable,posedge reset)
	if( reset == 1 )
		q <= 0;
	else
		q <= data;
	
endmodule
