`include "pkg.sv"

module parity_checker_mealy import pkg::* ;
	(input clk,reset,a,output logic parity);
checker_state_e	state, next_state;

always @(posedge clk,posedge reset)
	if( reset )
		state <= EVEN;
	else
		state <= next_state;
		
always @(state,a)
	case (state)
	EVEN: begin
		parity = a ? 1 : 0;
		next_state = a ? ODD : EVEN;
		end
	ODD:  begin
		parity = a ? 0 : 1;
		next_state = a ? EVEN : ODD;
		end
	endcase
	 
endmodule
