`include "pkg_alu.sv"

module test import pkg::*; ;
parameter SIZE=4;
logic [SIZE-1:0]	a, b, out;
logic			s2, s1, s0;
op_e		op, tmp_op;

alu #(.NBITS(SIZE)) DUT(.*);

initial begin
	$display("     a    b    op    out");
	a = 12;
	b = 7;
	op = op.first();
	do begin
		#10 {s2,s1,s0} = op;
		op = op.next();
	end while( op != op.first() );
end

initial forever @(s2,s1,s0) begin
	#0 $cast(tmp_op,{s2,s1,s0});
	$display("@%2t: %b %b %-5s %b",$time,a,b,tmp_op.name(),out);
end
endmodule
