module barrel_shifter(input [7:0] data_in,[2:0] shift,
	output logic [7:0] data_out);

always @(data_in,shift)
	for( int i = 0; i < 8; i++ )
		data_out[(i+shift)%8] = data_in[i];

endmodule

/*
module barrel_shifter(input [7:0] data_in,[2:0] shift,
	output logic [7:0] data_out);

always @(data_in,shift)
	case (shift)
	0:	data_out = data_in;
	1:	data_out = {data_in[6:0],data_in[7]};
	2:	data_out = {data_in[5:0],data_in[7:6]};
	3:	data_out = {data_in[4:0],data_in[7:5]};
	4:	data_out = {data_in[3:0],data_in[7:4]};
	5:	data_out = {data_in[2:0],data_in[7:3]};
	6:	data_out = {data_in[1:0],data_in[7:2]};
	7:	data_out = {data_in[0],data_in[7:1]};
	endcase
	
endmodule

*/
