module binary_counter #(parameter NBITS=2)
	(input ck,up,pc,load,input [NBITS-1:0] d,
	output [NBITS-1:0] q,qn);
logic [NBITS-1:0]	counter;

assign q = counter;
assign qn = ~counter;

always @(posedge ck)
	if( pc )
		counter <= 0;
	else if( load )
		counter <= d;
	else if( up )
		counter <= counter + 1;
	else
		counter <= counter - 1;
		
endmodule