`include "uvm_pkg.sv"
`include "uvm_macros.svh"

`define	field_m(T,VAR)	\
	`uvm_field_``T(VAR,UVM_DEFAULT)
	
package pkg;
import uvm_pkg::*;
class adder_item extends uvm_sequence_item;
rand bit [7:0]	a, b;
bit [7:0]	sum;
bit		co;
string	result_value;

`uvm_object_utils_begin(adder_item)
	`field_m(int,a)
	`field_m(int,b)
	`field_m(int,sum)
	`field_m(int,co)
	`field_m(string,result_value)
`uvm_object_utils_end

function new(string name="adder_item");
	super.new(name);
endfunction

endclass

endpackage


module top;
import	uvm_pkg::*;
import	pkg::*;
adder_item	item;

	initial begin
		item = adder_item::type_id::create();
		item.print();
	end
endmodule
