class simple_item;
parameter	ADDR_WIDTH = 32;
parameter	DATA_WIDTH = 32;
typedef logic[ADDR_WIDTH-1:0]	addr_t;
typedef logic[DATA_WIDTH-1:0]	data_t;
static int	counter;		// static 
local string	name;			// local
addr_t			addr;
data_t			data;

function new(string name,addr_t a=100,data_t d=0); // constructor
	this.name = name;
	addr = a;
	data = d;
	counter++;
endfunction

function string get_name();
	return name;
endfunction

virtual function void print;
	$display("name=%s",name);
	$display("addr=%h",addr);
	$display("data=%h",data);
endfunction

endclass
