class sample_t;
int	identifier, state;

function new(int id,int s);
	identifier = id;
	state = s;
endfunction

function void set_state(int state);
	this.state = state;
endfunction

function void print;
	$display("identifier=%0d state=%0d",identifier,state);
endfunction
endclass

module test;
sample_t	s1, s2, s3;

initial begin
	s1 = new(10,8);
	s2 = s1;		// s1 and s2 are the same instance
	s3 = new s1;		// shallow copy of s1
	s1.set_state(100);
	s1.print();
	s2.print();
	s3.print();	
end
endmodule