module test;
bit	clk;

initial begin
	fork
		generator("RNG-1");
		generator("RNG-2");
	join
end

initial forever #10 clk = ~clk;
initial #500 $finish;

task automatic generator(string title);
	repeat( 5 ) begin
		repeat( $urandom_range(1,7) ) @(posedge clk);
		$display("@%3t: %s-%0d",$time,title,$urandom_range(128,256));
	end
endtask
	
endmodule
