module test;
process	job[] = new [3];

initial begin
	foreach(job[i])
		fork automatic int k = i;
			begin
				job[k] = process::self();	// self()
				#k $display("@%0t: process-%0d ended",
					$time,k);
			end
		join_none
		
		foreach (job[i]) // wait for all processes to start
			wait( job[i] != null );
		$display("@%0t: all processes started.",$time);	
		
		job[0].await(); // wait for first process to finish
		
		$display("@%0t: main completed",$time);
	end
endmodule
