module test;
int	i,
	j = { "A", "B", "C", "D" };
byte	b;

initial begin	
	i = { >> {j}}; 				// "A" "B" "C" "D"
	$display("%s%s%s%s expected ABCD",
		i[31:24],i[23:16],i[15:8],i[7:0]);	
	i = { << byte {j}}; 			// "D" "C" "B" "A"
	$display("%s%s%s%s expected DCBA",
		i[31:24],i[23:16],i[15:8],i[7:0]);	
	i = { << 16 {j}}; 			// "C" "D" "A" "B"
	$display("%s%s%s%s expected CDAB",
		i[31:24],i[23:16],i[15:8],i[7:0]);	
	b = { << { 8'b0011_0101 }}; 		// 'b1010_1100
	$display("b=%h expected ac",b);	
	b = { << 4 { 6'b11_0101 }}; 		// 'b0101_11
	$display("b=%h expected 17",b);	
	b = { >> 4 { 6'b11_0101 }}; 		// 'b1101_01
	$display("b=%h expected 35",b);	
	b = { << 2 { { << { 4'b1101 }} }}; 	// 'b1110
	$display("b=%h expected 0e",b);	
end
endmodule
