module test;
logic [0:3]	key,
		key_value[] = { 0, 1, 2, 4, 8, 6 };
logic [0:1]	data;

initial	
	foreach(key_value[i]) begin
		key = key_value[i];
		#10;
	end
	
initial $monitor("@%2t: data=%0d",$time,data);

always @(key)
	unique casez (key)			// unique case
	  4'b???1:	data = 0;
	  4'b??10:	data = 1;
	  4'b?1?0:	data = 2;
	  4'b1000:	data = 3;
	  default:	data = 0;
	endcase
	
endmodule
