module test;
parameter		WIDTH=8;
logic [WIDTH-1:0]	a;

initial begin
	a = 1;
	check(a);
	a = 3;
	check(a);
	a = 11;
	check(a);
	a = 21;
	check(a);
	a = 65;
	check(a);
end

task check(input logic [WIDTH-1:0] a);
	case (a) inside			// inside
	1:
		$display("a=1");
	[2:4]:
		$display("a=%0d in [2:4]",a);
	[10:12], [20:30]:
		$display("a=%0d in [10:12] or [20:30]",a);
	default:
		$display("unmatch a=%0d",a);
	endcase
endtask
endmodule
