module dut(input clk,d,output logic q);

always @(posedge clk)
	q <= d;
	
endmodule

module test;
bit	clk, q, d = 1;

clocking cb @(posedge clk); endclocking

dut DUT(.*);

always @(negedge clk) begin
	d = ~d;
end

always @(cb)
	$display("@%0t: EVENT-1 d=%b q=%b",$time,d,q);
	
always @(posedge clk)
	$display("@%0t: EVENT-2 d=%b q=%b",$time,d,q);
			
initial forever #10 clk = ~clk;
initial #60 $finish;
	
endmodule

