module test;
bit	clk, req, gnt, check;

default clocking cb @(posedge clk);		// default clocking

property check_req_gnt;
	$rose(check) |-> req ##[1:3] gnt;
endproperty

endclocking

assert property (check_req_gnt)	
	else
		$display("@%0t: FAIL",$time);
cover property (check_req_gnt)
	$display("@%0t: PASS",$time);
	
initial begin #20 req = 1; #20 req = 0; #20 req = 1; end
initial begin #40 gnt = 1; #20 gnt = 0; #20 gnt = 1; end
initial begin #20 check = 1; #20 check = 0; #20 check = 1;
	#20 check = 0; end
initial repeat (10) #10 clk = ~clk;

endmodule
