module test;
semaphore	lock;
int		rs;

initial begin
	lock = new(3);
	
	lock.get(3);
	print(.keyc(3));
	
	lock.get(2);
	print(.keyc(2));
	
	rs = lock.try_get(2);
	if( rs )
		print("try_get passed:",2);
	else
		print("try_get failed:",2);
		
end

initial #10 lock.put(2);

function void print(string msg="got",int keyc);
	$display("@%0t: %s %0d keys",$time,msg,keyc);
endfunction
endmodule
