class X;
event	ev1, ev2;

task check;
	@ev1 $display("@%0t: ev1 released",$time);
	@ev2 $display("@%0t: ev2 released",$time);
endtask

task double_check;
	@(ev1 || ev2) $display("@%0t: either ev1 or ev2 released",$time);
endtask

endclass

module test;
X	x;

initial begin	
	x = new;
	fork
		x.check();
		x.double_check();
	join
	$display("@%0t: main completed",$time);
end
	
initial
	#10 ->x.ev1;

initial
	#50 ->x.ev2;
endmodule
