typedef logic [3:0]	op_type;	// 4 bit

module top;
op_type	a, b, op_or, op_xor;

dut #(.DATATYPE(op_type)) DUT(.*);	// instance of adder

initial begin	
	a = 6;
	b = 3;
	#10 a = 5;
	#10 b = 6;
	#10 a = 15;
end

initial
	$monitor("@%2t: a=%b b=%b op_or=%b op_xor=%b",
		$time,a,b,op_or,op_xor);
		
endmodule
