`include "pkg.sv"
`include "simple_if.sv"

module top;
bit	clk;

simple_if SIF(.*);
binary_counter DUT(SIF);
test TEST(SIF);

initial forever #10 clk = ~clk;
initial #150 $finish;
	
endmodule

program test(simple_if.TEST mp);
		
initial
	fork
		begin mp.load = 1; mp.d = 9; #15 mp.load = 0; end
		begin #20 mp.up = 1; #40 mp.up = 0; end
		begin #100 mp.pc = 1; #20 mp.pc = 0; mp.up = 1; end
	join

initial forever @(posedge mp.clk)
	$display("@%3t: pc=%b load=%b up=%b d=%2d q=%2d(%b) qn=%2d(%b)",
		$time,mp.pc,mp.load,mp.up,mp.d,
		mp.q,mp.q,mp.qn,mp.qn);
				
endprogram

