class sample_t;
bit [3:0]	a, b;

constraint C
{
	a inside { [0:3] };
	a < b;
}
endclass

module test;
sample_t	sample = new;

initial begin
	sample.b = 3;
	check_members();		// ok
	
	sample.a = 3;
	sample.b = 10;
	check_members();		// ok
	
	sample.a = 5;
	check_members();		// error
	
	sample.a = 2;
	sample.b = 1;
	check_members();		// error
end

function void check_members();
	if( sample.randomize() )	// use randomize() as checker
		$display("PASS: a=%2d b=%2d",sample.a,sample.b);
	else
		$display("FAIL: a=%2d b=%2d",sample.a,sample.b);
endfunction
endmodule
