class sample_t;
rand bit [3:0]	a, b;

constraint C
{
	a inside { [0:5] };
	$countones({a,b}) == 3;
}
endclass

module test;
sample_t	sample = new;

initial begin
	sample.randomize();
	$display("a=%2d b=%2d",sample.a,sample.b);
	
	sample.a = 4;		// ok
	sample.b = 10;
	check_members();
	
	sample.b = 7;		// error
	check_members();
end

function void check_members();
	if( sample.randomize(null) )
		$display("PASS: a=%2d b=%2d",sample.a,sample.b);
	else
		$display("FAIL: a=%2d b=%2d",sample.a,sample.b);
endfunction

endmodule

