typedef byte unsigned	number_t;

class random_sample_t;
rand number_t	a;
rand number_t	b;
rand number_t	c;

constraint C1 { c inside { [0:15], [a:b] }; }
constraint C2 { b%4 == 0; }
	
function void post_randomize();
	$display("a=%3d b=%3d c=%3d",a,b,c);
endfunction

endclass

module test;
random_sample_t	sample;

initial begin
	sample = new;
	
	repeat( 10 ) begin
		assert( sample.randomize() );
	end

end
endmodule
