class sample_t;
rand bit [2:0] a[5];
rand bit [2:0] b;
rand byte excluded;

constraint u { unique {b, a[2:3], excluded}; }
constraint exclusion { excluded == 5; }

function void post_randomize();
	$display("a[2]=%1d a[3]=%1d b=%1d",a[2],a[3],b);
endfunction
	
endclass

module test;
sample_t	sample;

initial begin
	sample = new;
	repeat( 5 )
		assert( sample.randomize() );
end
endmodule
