class sample_t;
rand bit signed [7:0]	ar[];
constraint C1 { ar.size inside { [1:5] }; }
constraint C2 {
	foreach (ar[i])
		(i < ar.size-1) -> ar[i+1] > ar[i];
}
function void post_randomize();
	$write("size=%3d: ",ar.size());
	foreach(ar[i])
		$write("%4d ",ar[i]);
	$display;
endfunction
endclass

module test;
sample_t	sample = new;

initial begin		
	for( int i = 0; i < 8; i++ ) begin
		assert( sample.randomize() );
	end
end
endmodule
