module test;
bit	clk;
logic	a, b, check;

default clocking cb @(posedge clk);
property check_ab;
	$rose(check) |-> a ##[1:2] b;
endproperty
endclocking

AST: assert property (check_ab)
	else $display("@%3t: FAIL",$time);
COV: cover property (check_ab)
	$display("@%3t: PASS",$time);

initial forever #10 clk = ~clk;
initial #120 $finish;
initial
	fork
		begin a = 0; b = 0; check = 0; end
		begin #20 a = 1; #20 a = 0; #20 a = 1; #40 a = 0; end
		begin #40 b = 1; #20 b = 0; end
		begin #20 check = 1; #20 check = 0; #20 check = 1; #20 check = 0; end
	join
endmodule
