module johnson_counter #(parameter NBITS=4) 
	(input clk,reset,output logic [NBITS-1:0] q);

always @(posedge clk,posedge reset)
	if( reset == 1 )
		q <= 0;
	else
		q <= {q[NBITS-2:0],~q[NBITS-1]};
			
endmodule
