module test;
bit		clk;
logic	reset, data_gate, data, q;

clocking cb @(posedge clk); endclocking
clocking cbr @(posedge reset); endclocking

gated_clock DUT(.*);

initial begin
	$display("     reset  data_gate  data   q");
	fork
		#5	begin reset = 1; #1 reset = 0; end
		#20	begin data_gate = 1; data = 1; #20 data_gate = 'x; data = 'x; end
		#80	begin data_gate = 1; data = 0; #20 data_gate = 'x; data = 'x; end
	join
	@(posedge clk) $finish;
end

initial forever #10 clk = ~clk;

always @cb
	$display("@%2t:   %b       %b         %b    %b %s",
		$time,reset,data_gate,data,q,data_gate==1?"load":"hold");	
always @cbr
	$display("@%2t:   %b       %b         %b    %b reset",
		$time,reset,data_gate,data,q);
endmodule
