`include "pkg.sv"

module parity_checker_moore import pkg::*;
	(input clk,reset,a,output logic parity);
checker_state_e	state;

always @(posedge clk,posedge reset)
	if( reset )
		state <= EVEN;
	else 
		case (state)
		EVEN: state <= a ? ODD : EVEN;
		ODD:  state <= a ? EVEN : ODD;
		endcase
	
always @(state)
	case (state)
	EVEN: parity = 0;
	ODD:  parity = 1;
	endcase
		
endmodule