module test;
logic [2:0]	code; 
logic [7:0]	data;

encoder DUT(.*);

initial begin
	$display("        data    code");
	for(int i = 0, val = 1; i < 8; val <<= 1, i++ ) begin
		#10 data = val;
	end
end

initial forever @(data)
	#0  $display("@%3t: %b   %0d",$time,data,code);
endmodule
