module test;
parameter	SIZE = 4;
logic [SIZE-1:0]	a, b;
logic			gt, lt, eq;

comparator #(.NBITS(SIZE)) DUT(.*);

initial begin
	$display("      a   b  gt  lt  eq");
	repeat( 8 ) begin
		#10;
		a = $random&15;
		b = $random&15;
	end
	#10 a = 9; b = 9;
end
initial forever @(a,b)
	#0 $display("@%0t: %2d  %2d   %b   %b   %b",
		$time,a,b,gt,lt,eq);
endmodule
