module comparator #(NBITS=3) (input [NBITS-1:0] a,b,output logic gt,lt,eq);

always @(a,b) begin
	{gt,lt,eq} = 3'b001;
	
	for( int i = NBITS-1; i >= 0; i-- ) begin
		if( a[i] != b[i] ) begin
			{gt,lt,eq} = {a[i],~a[i],1'b0};
			break;
		end
	end
end
	
endmodule
