module test;
logic [3:0]	g[] = '{ 4'b0000, 4'b0001, 4'b0011, 4'b0010,
			4'b0110, 4'b0111, 4'b0101, 4'b0100,
			4'b1100, 4'b1101, 4'b1111, 4'b1110,
			4'b1010, 4'b1011, 4'b1001, 4'b1000 };
logic		g3, g2, g1, g0, b3, b2, b1, b0;

gray2binary DUT(.*);

initial begin
	$display("      gray binary");
	foreach(g[i]) begin
		#10 {g3,g2,g1,g0} = g[i];
	end
end

initial forever @(g3,g2,g1,g0)
	#0 $display("@%3t: %b%b%b%b %b%b%b%b",
		$time,g3,g2,g1,g0,b3,b2,b1,b0);
endmodule
