module test;
logic [7:0]	data_in, data_out;
logic [2:0]	shift;

barrel_shifter DUT(.*);

initial begin
	$display("     data_in  shift  data_out");
	for( int i = 0; i < 8; i++ ) begin
		#10;
		data_in = $random&255;
		shift = i;
	end
end

initial forever @(data_in,shift)
	#0 $display("@%2t: %b   %0d    %b",
			$time,data_in,shift,data_out); 
endmodule