module adder_subtractor
	(input logic signed [3:0] a,b,logic subtract,
	output logic overflow,co,logic signed [3:0] sum);
wire		c0, c1, c2;
wire [3:0]	_b;

assign _b = subtract ? ~b : b;
assign overflow = co^c2;

full_adder FA0(a[0],_b[0],subtract,c0,sum[0]);
full_adder FA1(a[1],_b[1],c0,c1,sum[1]);
full_adder FA2(a[2],_b[2],c1,c2,sum[2]);
full_adder FA3(a[3],_b[3],c2,co,sum[3]);

endmodule
