`include "pkg.sv"

module jk_ff import pkg::*; (input logic clk,j,k,output logic q,qbar);

assign qbar = ~q;

always @(posedge clk) begin
	case ({j,k})
	HOLD:	q <= q;
	RESET:	q <= 0;
	SET:	q <= 1;
	TOGGLE:	q <= ~q;
	endcase
end

endmodule