`include "uvm_pkg.sv"
`include "uvm_macros.svh"

`include "simple_if.sv"
`include "pkg.sv"

module top;
import	uvm_pkg::*;
import	pkg::*;
bit	clk;

simple_if sif(clk);
dut DUT(.a(sif.a),.b(sif.b),.op_code(sif.op_code),.q(sif.q));

initial begin
	uvm_config_db #(virtual simple_if)::set(null,
			"*test0*","vif",sif);
	run_test();
end
	
initial forever #10 clk = ~clk;
	
endmodule
