class sample_t #(parameter type T=logic [1:0]);

function void add(input T a,b,output co,T sum);
	{co,sum} = a+b;
endfunction
endclass

module test;
parameter type ADDER_TYPE = bit [3:0];
sample_t #(ADDER_TYPE)	sample;
ADDER_TYPE		a, b, sum;
bit			co;

initial begin
	sample = new;
	#10; a = 7; b = 2;
	#10; a = 9; b = 8;
	#10; a = 15; b = 15;
end

always @(a,b) begin
	sample.add(a,b,co,sum);
	$display("@%0t: a=%b(%2d) b=%b(%2d) {co,sum}=%b(%2d)",
		$time,a,a,b,b,{co,sum},{co,sum});
	end
endmodule
