typedef union packed {
	shortint 	short_value;
	bit[1:0][7:0]	byte_value;
	bit [15:0]	bit_value;
} slice_u;

module test;
slice_u	u;

initial begin
	u = 16'habcd;
	$display("u.short_value=%h",u.short_value);
	$display("upper=%h lower=%h",u.byte_value[1],u.byte_value[0]);
	$display("u[15:8]=%h u[7:0]=%h",u[15:8],u[7:0]);
	$display("u=%h",u);
end
endmodule
