virtual class object_t;
string		name;

function new(string name);
	this.name = name;
endfunction

pure virtual function void print();
endclass

class sample_t extends object_t;
rand bit [3:0]	port;

function new(string name);
	super.new(name);
endfunction

function void print();
	$display("name=%s port=%0d",name,port);
endfunction

endclass

module test;
object_t	obj;

initial begin
	obj = sample_t::new("sample");
	repeat( 3 ) begin
		assert( obj.randomize() );
		obj.print();
	end
end
	
endmodule
