class map #(type KEY = int,type DATA = int);
DATA	array[KEY];
string	name;

function new(string name);
	this.name = name;
endfunction

function void put(KEY key,DATA data);
	array[key] = data;
endfunction

function DATA get(KEY key);
	get = array[key];
endfunction

function int exists(KEY key);
	exists = array.exists(key);
endfunction

function int first(output KEY key);
	first = array.first(key);
endfunction

function int next(output KEY key);
	next = array.next(key);
endfunction

function void delete(KEY key);
	array.delete(key);
endfunction

function void clear();
	array.delete();
endfunction

endclass

module test;
map #(string,real)	weight;
string			key;

initial begin
	weight = new("Foods-Weight");
	weight.put("meat",1000.3);
	weight.put("bread",200.5);
	weight.put("rice",5000.9);
	if( weight.first(key) )
		do
			$display("%-8s = %g",key,weight.get(key) );
		while( weight.next(key) );
end
	
endmodule
