class sample_t;
static int	counter = 0;		// static
logic [31:0]	addr, data;
string		name;

function new(logic [31:0] a=0,d=0);
	addr = a;
	data = d;
	counter++;
	name = $sformatf("packet_%04d",counter);
endfunction

extern virtual function void print;
endclass

function void sample_t::print;
	$display("name=%s",name);
	$display("addr=%h",addr);
	$display("data=%h",data);
endfunction

module test;
sample_t	s1, s2;

initial begin
	s1 = new;
	s1.print;
	s2 = new(100,200);
	s2.print;
	
	$display("the number of instances=%0d",sample_t::counter);
end
endmodule
