module test;

initial begin
	fork					// fork-join_any
		#10 print(1);
		#20 print(2);
		#30 print(3);
	join_any
	fork					// fork-join_none
		#1 print(4);
		#2 print(5);
		#3 print(6);		
	join_none
	wait fork;				// wait fork
	$display("@%2t main completed.",$time);
end

function automatic void print(int value);
	$display("@%2t value=%0d", $time, value);
endfunction
endmodule
