module test;
process	suspended;

initial begin	
	$display("@%0t: I'm going to suspend myself.",$time);
	suspended = process::self();			// self()
	suspended.suspend;				// suspend()
	
	$display("@%0t: main completed.",$time);
end

initial begin
	#10;
	$display("@%0t: about to resume the suspended process.",$time);
	suspended.resume();				// resume()
	$display("@%0t: resume() completed.",$time);
end
	
endmodule
