module test;
logic [3:0]	z, a, b;
logic		c;

initial begin
	a = '1;
	b = 'z;
	c = 1;
	check_print();		// z == '1
	
	c = 0;
	check_print();		// z == 'z
	
	c = 'x;
	check_print();		// z == 'x
	
	c = 'z;
	check_print();		// z == 'x
	
	b = 4'b01xz;
	check_print();		// z == 4'bx1xx
end
	
function void check_print;
	z = c ? a : b;
	$display("a=%b b=%b c=%b z=%b",a,b,c,z);
endfunction

endmodule