module mux4_case(input  a,b,c,d,input [1:0] select,output logic out);

always @(a or b or c or d or select) begin
	case (select)
	  0 : out = a;
	  1 : out = b;
	  2 : out = c;
	  3 : out = d;
	  default out = 1'bx;
	endcase
end

endmodule

module test;
logic		a, b, c, d, out;
logic [1:0]	select;

mux4_case DUT(.*);

initial begin
	select = 3;
	d = 1;
	#10 select = 1; b = 0;
end

initial $monitor("@%2t: a=%b b=%b c=%b d=%d select=%b out=%b",
		$time,a,b,c,d,select,out);
			
endmodule
